/*
 * Class EV_SCREEN
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_997 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_997 [] = {0xFF01,1551,996,0xFFFF};
static const EIF_TYPE_INDEX egt_2_997 [] = {0xFF01,996,0xFFFF};
static const EIF_TYPE_INDEX egt_3_997 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_997 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_997 [] = {0xFF01,996,0xFFFF};
static const EIF_TYPE_INDEX egt_6_997 [] = {0xFF01,996,0xFFFF};
static const EIF_TYPE_INDEX egt_7_997 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_997 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_997 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_997 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_997 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_997 [] = {0xFF01,996,0xFFFF};
static const EIF_TYPE_INDEX egt_13_997 [] = {0xFF01,1283,0xFFFF};
static const EIF_TYPE_INDEX egt_14_997 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_997 [] = {0xFF01,962,0xFFFF};
static const EIF_TYPE_INDEX egt_16_997 [] = {0xFF01,962,0xFFFF};
static const EIF_TYPE_INDEX egt_17_997 [] = {0xFF01,963,0xFFFF};
static const EIF_TYPE_INDEX egt_18_997 [] = {0xFF01,1053,0xFFFF};
static const EIF_TYPE_INDEX egt_19_997 [] = {0xFF01,623,0xFFFF};
static const EIF_TYPE_INDEX egt_20_997 [] = {0xFF01,624,0xFFFF};
static const EIF_TYPE_INDEX egt_21_997 [] = {0xFF01,624,0xFFFF};
static const EIF_TYPE_INDEX egt_22_997 [] = {0xFF01,962,0xFFFF};


static const struct desc_info desc_997[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_997), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_997), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_997), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_997), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_997), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_997), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_997), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_997), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_997), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_997), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_997), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_997), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07C9 /*996*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_997), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_997), 24803, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24805, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24804, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24723, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_997), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_997), 24526, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_997), 24527, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24528, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24529, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24530, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24532, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24533, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_997), 24716, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24717, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8185, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8186, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8187, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8188, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8189, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8190, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24727, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 24728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x083B /*1053*/), 24729, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24730, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24799, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_997), 24731, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24732, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24733, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24734, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24735, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24736, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24737, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24738, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24739, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24740, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24741, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24742, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24743, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24744, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24745, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24746, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24747, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24748, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24749, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24750, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24751, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24752, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24753, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24754, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24755, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24756, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24757, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24758, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24759, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24760, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24761, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24762, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24763, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24719, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24720, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24721, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24722, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24782, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_997), 24783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07E5 /*1010*/), 24784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07E5 /*1010*/), 24785, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_997), 24786, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_997), 24787, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_997), 24788, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24789, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24790, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24791, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24795, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24796, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24802, 0xFFFFFFFF},
};
void Init997(void)
{
	IDSC(desc_997, 0, 996);
	IDSC(desc_997 + 1, 1, 996);
	IDSC(desc_997 + 32, 1593, 996);
	IDSC(desc_997 + 47, 1615, 996);
	IDSC(desc_997 + 54, 1370, 996);
	IDSC(desc_997 + 56, 717, 996);
	IDSC(desc_997 + 62, 70, 996);
	IDSC(desc_997 + 106, 783, 996);
}


#ifdef __cplusplus
}
#endif
